using System.Reflection;
using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;

// Ogólne informacje o podzespole są określane przy użyciu poniższych atrybutów.
// Aby zmienić informacje skojarzone z tym podzespołem, należy zmienić wartości
// tych atrybutów.


// Uwaga: poniższy kod w zasadzie nie należy do tego przykładu, ale nie było sensu
// tworzyć odrębnego projektu tylko po to by umieścić w nim tych kilka atrybutów.
// Listing 15-9
[assembly: AssemblyTitle("ExamplePlugin")]
[assembly: AssemblyDescription("An example plug-in DLL")]
[assembly: AssemblyConfiguration("Retail")]
[assembly: AssemblyCompany("Interact Software Ltd.")]
[assembly: AssemblyProduct("ExamplePlugin")]
[assembly: AssemblyCopyright("Copyright © 2012 Interact Software Ltd.")]
[assembly: AssemblyTrademark("")]

// Ustawienie wartości ComVisible na false sprawi, że kod umieszczony w tym podzespole
// nie będzie dostępny dla komponentów COM. Jeśli jakiś typ umieszczony w tym podzespole
// ma być dostępny dla technologii COM, to należy do tego typu dodać atrybut 
// ComVisible o wartości true.
[assembly: ComVisible(false)]

// Ten identyfikator GUID służy jako identyfikator gdyby projekt był udostępniany 
// przy użyciu technologii COM
[assembly: Guid("747f61b6-2df8-403e-99dd-233197d7689e")]

// Informacje o wersji podzespołu składają się z następujących wartości:
//
//      Wersji głównej
//      Wersji pomocniczej
//      Kompilacji
//      Rewizji
//
// Można określić wszystkie te wartości lub można też użyć domyślnych wartości Kompilacji i Rewizji 
// podając zamiast liczb symbol '*', tak jak pokazano poniżej:
// [assembly: AssemblyVersion("1.0.*")]
[assembly: AssemblyVersion("1.0.0.0")]
[assembly: AssemblyFileVersion("1.0.0.0")]
